std::pmr::polymorphic_allocator::deallocate(3)

NAME
std::pmr::polymorphic_allocator::deallocate - std::pmr::polymorphic_allocator::deallocate

Synopsis
   void deallocate( T* p, std::size_t n ); (since C++17)
   Deallocates the storage pointed to by p, which must have been allocated from a
   std::pmr::memory_resource x that compares equal to *resource() using x.allocate(n *
   sizeof(T), alignof(T)).
   Equivalent to this->resource()->deallocate(p, n * sizeof(T), alignof(T));.

Parameters
   p - pointer to memory to deallocate
   n - the number of objects originally allocated

Exceptions
   Throws nothing.

See also
   deallocate_bytes Free raw memory obtained from allocate_bytes
   (C++20) (public member function)
   deallocate_object Frees raw memory obtained by allocate_object
   (C++20) (public member function)
   delete_object Destroys and deallocates an object
   (C++20) (public member function)
   deallocate deallocates storage using the allocator
   [static] (public static member function of std::allocator_traits<Alloc>)
   deallocate deallocates memory
                     (public member function of std::pmr::memory_resource)